
-- Internationalize default layouts

update portal_layouts
 set name = '#new-portal.simple_2column_layout_name#',
     description = '#new-portal.simple_2column_layout_description#'
 where filename = 'layouts/simple2';

update portal_layouts
 set name = '#new-portal.simple_1column_layout_name#',
     description = '#new-portal.simple_1column_layout_description#'
 where filename = 'layouts/simple1';

update portal_layouts
 set name = '#new-portal.simple_3column_layout_name#',
     description = '#new-portal.simple_3column_layout_description#'
 where filename = 'layouts/simple3';

-- Internationalize default themes


update portal_element_themes
  set name = '#new-portal.simple_red_theme_name#',
      description = '#new-portal.simple_red_theme_description#'
  where filename = 'themes/simple-theme';

update portal_element_themes
  set name = '#new-portal.nada_theme_name#',
      description = '#new-portal.nada_theme_description#'
  where filename = 'themes/nada-theme';

update portal_element_themes
  set name = '#new-portal.deco_theme_name#',
      description = '#new-portal.deco_theme_description#'
  where filename = 'themes/deco-theme';

-- Update the default theme name

update apm_parameter_values
  set attr_value = '#new-portal.simple_red_theme_name#'
  where parameter_id = (select parameter_id from apm_parameters where parameter_name = 'default_theme_name');