begin
  for cur in (select object_name,text from user_objects o, user_views v where  o.status != 'VALID' and o.object_type = 'VIEW' and v.view_name = o.object_name) loop
    dbms_output.put_line('Rebuilding view ' || cur.object_name);
    execute immediate 'create or replace view ' || cur.object_name || ' as ' || cur.text;
  end loop;
end;
/
show errors;
